--ֶļУD:\DBEducationReceipt

CREATE DATABASE DBEducationReceipt ON PRIMARY
(
 NAME='DBEducationReceipt',
 FILENAME='D:\DBEducationReceipt\DBEducationReceipt.mdf',
 SIZE=3MB,
 FILEGROWTH=1MB
) LOG ON
(NAME='DBEducationReceipt_log',
FILENAME='D:\DBEducationReceipt\DBEducationReceipt_log.ldf',
SIZE=1MB,
FILEGROWTH=10%
);
GO

USE DBEducationReceipt;
GO 

 
 -----ѧϢ------
CREATE TABLE tb_Student
    (
      id INT  PRIMARY KEY IDENTITY(1,1),
      School VARCHAR(255) ,
      Grade VARCHAR(255) ,
      StudentName VARCHAR(255) ,
      StudentPhone VARCHAR(255) ,    
      IDCard VARCHAR(255) ,
      Address VARCHAR(255) ,
      Major VARCHAR(255) ,
      Teacher VARCHAR(255) ,
      Classtime VARCHAR(255) ,
      Classroom VARCHAR(255)
    ); 

 

-----շĿ------
CREATE TABLE tb_Product
    (
     id INT  PRIMARY KEY IDENTITY(1,1),
      Code VARCHAR(255) ,
      Name VARCHAR(255) ,
      ProUnit VARCHAR(255) ,
      Price FLOAT ,
      Remark VARCHAR(255)
    );

-----վȫǹ̶ݣID--------------
CREATE TABLE tb_ReceiptMain
    (
     id INT  PRIMARY KEY IDENTITY(1,1),
      ReceiptNo VARCHAR(255) ,
      ReceiptDate DATETIME ,
      School VARCHAR(255) ,
      Grade VARCHAR(255) ,
      StudentName VARCHAR(255) ,
      StudentPhone VARCHAR(255) ,
      ParentName VARCHAR(255) ,
      ParentPhone VARCHAR(255) ,
      IDCard VARCHAR(255) ,
      Address VARCHAR(255) ,
      Major VARCHAR(255) ,
      Teacher VARCHAR(255) ,
      Classtime VARCHAR(255) ,
      Classroom VARCHAR(255) ,
      Paytype VARCHAR(255) ,
      Accountant VARCHAR(255) ,
      Recheck VARCHAR(255) ,
      Cashier VARCHAR(255) ,
      Creater VARCHAR(255) ,
      Total FLOAT ,
      TotalBig VARCHAR(255) ,
      TotalBig9 VARCHAR(255) ,
      TotalBig8 VARCHAR(255) ,
      TotalBig7 VARCHAR(255) ,
      TotalBig6 VARCHAR(255) ,
      TotalBig5 VARCHAR(255) ,
      TotalBig4 VARCHAR(255) ,
      TotalBig3 VARCHAR(255) ,
      TotalBig2 VARCHAR(255) ,
      TotalBig1 VARCHAR(255) ,
      Remark VARCHAR(255) ,
      PrintTimes INT ,
      LastPrint DATETIME ,
      LastEditor VARCHAR(255) ,
      LastEditTime VARCHAR(255) 
    );

-----վϸȫǹ̶ݣID--------------
CREATE TABLE tb_ReceiptDetail
    (
     id INT  PRIMARY KEY IDENTITY(1,1),
      [index] INTEGER ,
      ReceiptNo VARCHAR(255) ,
      Code VARCHAR(255) ,
      Name VARCHAR(255) ,
      ProUnit VARCHAR(255) ,
      Num FLOAT ,
      Price FLOAT ,
      SubTotal FLOAT ,
      SubTotal9 VARCHAR(255) ,
      SubTotal8 VARCHAR(255) ,
      SubTotal7 VARCHAR(255) ,
      SubTotal6 VARCHAR(255) ,
      SubTotal5 VARCHAR(255) ,
      SubTotal4 VARCHAR(255) ,
      SubTotal3 VARCHAR(255) ,
      SubTotal2 VARCHAR(255) ,
      SubTotal1 VARCHAR(255) ,
      Remark VARCHAR(255)
    );


-----ѧУϢ------
CREATE TABLE tb_School
    (
     id INT  PRIMARY KEY IDENTITY(1,1),
      Name VARCHAR(255)
    );


-----༶Ϣ------
CREATE TABLE tb_Grade
    (
     id INT  PRIMARY KEY IDENTITY(1,1),
      Name VARCHAR(255)
    );


-----Ͽ------
CREATE TABLE tb_Major
    (
     id INT  PRIMARY KEY IDENTITY(1,1),      
      Name VARCHAR(255)
    ); 
    
    
-----Ͽʦ------
CREATE TABLE tb_Teacher
    (
     id INT  PRIMARY KEY IDENTITY(1,1),
      Name VARCHAR(255)
    );


-----Ͽʱ------
CREATE TABLE tb_Classtime
    (
     id INT  PRIMARY KEY IDENTITY(1,1),
      Name VARCHAR(255)
    );

-----Ͽεص------
CREATE TABLE tb_Classroom
    (
     id INT  PRIMARY KEY IDENTITY(1,1),
      Name VARCHAR(255)
    );


-----տʽ------
CREATE TABLE tb_Paytype
    (
     id INT  PRIMARY KEY IDENTITY(1,1),
      Name VARCHAR(255)
    );

-----------
CREATE TABLE tb_Accountant
    (
     id INT  PRIMARY KEY IDENTITY(1,1),
      Name VARCHAR(255)
    );
 
-----------
CREATE TABLE tb_Recheck
    (
     id INT  PRIMARY KEY IDENTITY(1,1),
      Name VARCHAR(255)
    );

------------
CREATE TABLE tb_Cashier
    (
     id INT  PRIMARY KEY IDENTITY(1,1),
      Name VARCHAR(255)
    );

------ע------
CREATE TABLE tb_Remark
    (
     id INT  PRIMARY KEY IDENTITY(1,1),
      Name VARCHAR(255)
    );

 

--------------------ǹñ-------------------- 
------վݱ------
CREATE TABLE tb_ReceiptNO
    (
     id INT  PRIMARY KEY IDENTITY(1,1),
      PreCustom VARCHAR(255) ,
      PreDate BIT ,
      BeginNum VARCHAR(255)
    );
INSERT  INTO tb_ReceiptNO
        ( PreCustom, PreDate, BeginNum )
VALUES  ( 'A', 1, '001' );
  
--û------

CREATE TABLE tb_User
    (
     id INT  PRIMARY KEY IDENTITY(1,1),
      Realname VARCHAR(255) ,
      Password VARCHAR(255) ,
      Power VARCHAR(255) ,
      Status VARCHAR(255)
    );
INSERT  INTO tb_User
        ( Realname, Password, Power, Status )
VALUES  ( 'Ա', '', 'Ա', 'Ч' ); 

CREATE TABLE tb_Translate
    (
     id INT  PRIMARY KEY IDENTITY(1,1),
      OldValue VARCHAR(255) ,
      NewValue VARCHAR(255)
    );
------ӡ------
CREATE TABLE tb_Setting
    (
     id INT  PRIMARY KEY IDENTITY(1,1),
      Logo IMAGE ,
      QRCode IMAGE ,
      Title VARCHAR(255) ,
      Label VARCHAR(255) ,
      Remark VARCHAR(255)
    );
INSERT  INTO tb_Setting
        ( Title ,
          Label ,
          Remark
        )
VALUES  ( 'ԶѵѧУվݴӡר' ,
          'ٴ()  ڿͻ()  ۲()' ,
          '˴ݿڲ˵[̧ͷ]޸'
        );
 